List fields available in the given spaces

Lists field definitions available in the specified spaces. Pass space IDs as a comma-separated spaces query parameter (takes precedence) or as a path parameter.

Path Parameters
  • spaceId
    Type: integer Format: int64
    required

    ID of space which fields to get

Query Parameters
  • spaces
    Type: string

    Array of space IDs which fields to get (separated by comma) - if set, takes precedence before spaceId parameter

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/field/by-space/{spaceId}
curl https://test.boost.space/api/field/by-space/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": 42,
    "created": "2026-01-15T09:30:00Z",
    "createdUserId": 42,
    "name": "Sample name",
    "description": "string",
    "tooltip": "string",
    "percentUpTo100": true,
    "isLabel": "string",
    "className": "Sample className",
    "relatedEntityCfId": "string",
    "relatedValueCounterpart": true,
    "property": "string",
    "inputType": "related_entity",
    "required": true,
    "order=0": 1,
    "fieldGroups": [
      1
    ],
    "actionId": 42,
    "currencyId": 42,
    "inputOptions": [
      {
        "id": 42,
        "created": "2026-01-15T09:30:00Z",
        "createdUserId": 42,
        "customFieldInputId": 42,
        "label": "string",
        "value": "string",
        "color": "#1f6feb"
      }
    ],
    "remotes": [
      {
        "id": "1",
        "application": "string",
        "delete": true
      }
    ],
    "spaces": [
      1
    ],
    "inputCalculation": "string",
    "relatedCustomModuleId": 42,
    "relatedEntityProperty": "string",
    "provider": "platform",
    "providerId": 42,
    "visible": true,
    "rollupRelationInputId": 42,
    "rollupTargetInputId": 42,
    "rollupAggregation": "showOriginal",
    "aiPrompt": "string",
    "aiVoiceTone": "auto",
    "aiLength": "auto",
    "aiFormatting": "text",
    "aiCreativity": "high",
    "aiType": "auto",
    "translatable": true
  }
]